/*
 *      _fperr - produce 'floating point missing' error message
 *
 * 	this is called when floating point is not present but
 *      atof is called anyways.
 */

_fperr()
{
	write (2, "\7  Floating Point Not Present\7\n", 35);
	exit(1);
}


/*
 *	this is called to simulate a floating point trap.
 *	its fairly disgusting, but what else can I do?
 */
#include <signal.h>
#include <math.h>
#include <errno.h>
int errno;
_ovfl()
{ 
	errno = ERANGE;
	kill(getpid(), SIGFPE);
}

_div0()
{
	/* yes, this is the same as overflow, but I cant tell what
	   different ought to happen.
	*/
	errno = ERANGE;
	kill(getpid(), SIGFPE);
}
