|   /*  strncpy(s1, s2, n)
|    *
|    *  Copy s2 to s1, truncating or null-padding to always copy n bytes
|    *  return s1
|    */
|
|	I001 -- set copy direction to forward


	.globl  _strncpy

	.text

_strncpy:
	push    bp
	mov     bp,sp
	push    di
	push    si
	mov     cx,*8.(bp)      | (cx) = count
	mov     si,*6.(bp)      | (si) = source offset
	mov     di,*4.(bp)      | (di) = destination offset
	mov     ax,di           | save dest fwa for return
	jcxz    scpy4           | none to move
	
	cld			| direction is forward	
scpy:   testb   (si),*/ff
	movsb                   | move the character
	loopnz  scpy            | more to go
	jcxz    scpy4           | copied my full amount

|       string needs null padding

	xchg    ax,bx           | save return value in (bx)
	subb    al,al
	rep
	stob                    | store remaining zeros
	xchg    ax,bx           | (ax) = return value

scpy4:  pop     si
	pop     di
	pop     bp
	ret
