| C library -- shutdn
|
| shutdn (addr, naddr);
|       addr = new root superblock address (0 if none)
|       naddr = ~addr if new superblock, 0 if none

.globl  _shutdn
.cxenix = 63.                   | custom xenix call
.shutdn = 0                     | shutdn subfunction

	.text
_shutdn:
	mov     bx,sp
	mov     cx,*4(bx)       | arg 2
	mov     bx,*2(bx)       | arg 1
	mov     ax,#.shutdn*256+.cxenix
	calli   @Iscadr         | call XENIX
	mov     _errno,ax       | have error if we return
	mov     ax,#-1
	ret

	.end
